## arduino 1.5.4.2+dfsg

=== debian/changelog ===
arduino (1:1.5.4.2+dfsg-2) experimental; urgency=low

  * Use jh_depends to manage dependencies.
  * add -fno-caller-saves compiler flag (see debian bug 698254)

 -- Scott Howard <showard@debian.org>  Fri, 11 Oct 2013 16:20:12 -0400

arduino (1:1.5.4.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #721742)
  * Refreshed patches:
      deleted:    debian/patches/Adafruit_GFX.patch (accepted upstream)
      deleted:    debian/patches/no-caller-saves.patch (AVR bug, needs testing,
                  possibly reapply)
      deleted:    debian/patches/roboIRread.patch (accepted upstream)

 -- Scott Howard <showard@debian.org>  Fri, 11 Oct 2013 12:36:34 -0400

=== debian/control ===
Source: arduino
Section: electronics
Priority: extra
Maintainer: Scott Howard <showard@debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper (>= 8), javahelper, default-jdk,
 librxtx-java (>= 2.2pre2-3), libjna-java, libjsch-java, libjmdns-java,
 libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant
Standards-Version: 3.9.4
Homepage: http://www.arduino.cc
Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/arduino.git


Package: arduino
Architecture: all
Depends: ${java:Depends}, ${misc:Depends},
 arduino-core (= ${binary:Version})
Recommends: extra-xdg-menus, policykit-1
Description: AVR development board IDE and built-in libraries
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verfication, compiling, and uploading
 to the Arduino development board. Libraries and example code will also
 be installed.

Package: arduino-core
Architecture: all
Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
Suggests: arduino-mk
Description: Code, examples, and libraries for the Arduino platform
 Arduino is an open hardware microcontroller platform.  This package contains
 the minimal set of tools to allow one to program an Arduino.  It also contains
 examples and libraries. For a CLI, see the 'arduino-mk' package.
 .
 This package does not include the Java based Integrated Development
 Environment, which can be found in the 'arduino' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=\
/usr/share/java/jna.jar:\
/usr/share/java/RXTXcomm.jar:\
/usr/share/java/jsch.jar:\
/usr/share/java/jmdns.jar:\
/usr/share/java/commons-logging.jar:\
/usr/share/java/commons-httpclient.jar:\
/usr/share/java/commons-exec.jar

SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/[0-9]*:\([0-9].*\)+dfsg-[0-9]/\1/')

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd core/methods && ant clean
	cd build && ant clean
	rm -f debian/permission-checker/*.class
	dh_clean

override_jh_build:
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools
	#remove unneeded macosx support
	rm -rf app/src/processing/app/macosx
	cd core/methods && ant
	cd build && ant
	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt #comment out after beta
	javac debian/permission-checker/arduinopc.java
	cd debian/permission-checker && jar cfe arduinopc.jar arduinopc *.class
	mv debian/permission-checker/*.jar .


override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.ino

override_dh_install:
	find build/linux/work -type d -empty -delete
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh -Xelf -X.a -X.lib
	mkdir -p debian/arduino-core/usr/share/arduino/lib
	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib
	chmod +x \
    debian/arduino-core/usr/share/arduino/hardware/arduino/avr/bootloaders/optiboot/makeall \
    debian/arduino-core/usr/share/arduino/hardware/arduino/avr/firmwares/wifishield/scripts/ArduinoWifiShield_upgrade.sh \
    debian/arduino-core/usr/share/arduino/hardware/arduino/avr/firmwares/wifishield/scripts/ArduinoWifiShield_upgrade_mac.sh \
    debian/arduino-core/usr/share/arduino/hardware/arduino/sam/system/CMSIS/CMSIS/Documentation/DSP_Lib/html/installdox \
    debian/arduino-core/usr/share/arduino/libraries/WiFi/extras/scripts/ArduinoWifiShield_upgrade.sh

override_jh_depends:
	jh_depends -jdefault

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

DESTDIR=$(CURDIR)/debian/Arduino-1.5.4-r2
#DESTDIR=$(CURDIR)/debian/Arduino-$(SVNTAG)
TARGZFILE=arduino_$(SVNTAG).orig.tar.gz
TARXZFILE=arduino_$(SVNTAG)+dfsg.orig.tar.xz

get-orig-source:
	uscan --download-current-version --rename
	jh_repack --version $(SVNTAG) ../arduino_$(SVNTAG)
	tar -xzf ../$(TARGZFILE) -C debian/
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore -or -iname *.bz2 -or -iname *macosx* -or -iname *windows* | xargs -n1 rm -rf;\
	rm -rf $(DESTDIR)/build/linux/dist/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	#find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname key*.gz -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
	tar Jcf $(CURDIR)/../$(TARXZFILE) -C $(CURDIR)/debian Arduino-1.5.4-r2;\
	rm -fr $(DESTDIR);\
	rm -fr ../$(TARGZFILE)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/00/0\./;s/\-r/\./ \
https://github.com/arduino/Arduino/tags .*/(\d[\d\.].*)\.tar\.gz

## arduino 1.5.6.2+sdfsg2

=== hardware/arduino/sam/system/libsam/build_gcc/Makefile ===
#
#  Copyright (c) 2011 Arduino.  All right reserved.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#  See the GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

# Makefile for compiling libchip

SUBMAKE_OPTIONS=--no-builtin-rules --no-builtin-variables --no-print-directory

#-------------------------------------------------------------------------------
# Rules
#-------------------------------------------------------------------------------

# libsam_sam3s4c_gcc_rel.a libsam_sam3u4e_gcc_rel.a libsam_sam3x8e_gcc_rel.a libsam_sam3x8h_gcc_rel.a
all: libsam_sam3s4c_gcc_dbg.a libsam_sam3u4e_gcc_dbg.a libsam_sam3x8e_gcc_dbg.a libsam_sam3x8h_gcc_dbg.a arduino_due_x

.PHONY: arduino_due_u
arduino_due_u:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3U4E__ $(SUBMAKE_OPTIONS) OUTPUT_BIN=../../../variants/arduino_due_u -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: arduino_due_x
arduino_due_x:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3X8E__ $(SUBMAKE_OPTIONS) OUTPUT_BIN=../../../variants/arduino_due_x -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3s4c_gcc_dbg.a
libsam_sam3s4c_gcc_dbg.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3S4C__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3s4c_gcc_rel.a
libsam_sam3s4c_gcc_rel.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3S4C__ $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3u4e_gcc_dbg.a
libsam_sam3u4e_gcc_dbg.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3U4E__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3u4e_gcc_rel.a
libsam_sam3u4e_gcc_rel.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3U4E__ $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3x8e_gcc_dbg.a
libsam_sam3x8e_gcc_dbg.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3X8E__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3x8e_gcc_rel.a
libsam_sam3x8e_gcc_rel.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3X8E__ $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3x8h_gcc_dbg.a
libsam_sam3x8h_gcc_dbg.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3X8H__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: libsam_sam3x8h_gcc_rel.a
libsam_sam3x8h_gcc_rel.a:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making $@
	@echo ---
	@$(MAKE) CHIP=__SAM3X8H__ $(SUBMAKE_OPTIONS) -f sam3.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: clean
clean:
	@echo ------------------------------------------------------------------------------------
	@echo --- Cleaning sam3s4c release and debug
	@$(MAKE) CHIP=__SAM3S4C__ $(SUBMAKE_OPTIONS) -f sam3.mk $@
	@$(MAKE) CHIP=__SAM3S4C__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk $@

	@echo --- Cleaning sam3u4e release and debug
	@$(MAKE) CHIP=__SAM3U4E__ $(SUBMAKE_OPTIONS) -f sam3.mk $@
	@$(MAKE) CHIP=__SAM3U4E__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk $@

	@echo --- Cleaning sam3x8e release and debug
	@$(MAKE) CHIP=__SAM3X8E__ $(SUBMAKE_OPTIONS) -f sam3.mk $@
	@$(MAKE) CHIP=__SAM3X8E__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk $@

	@echo --- Cleaning sam3x8h release and debug
	@$(MAKE) CHIP=__SAM3X8H__ $(SUBMAKE_OPTIONS) -f sam3.mk $@
	@$(MAKE) CHIP=__SAM3X8H__ DEBUG=1 $(SUBMAKE_OPTIONS) -f sam3.mk $@
	@echo ------------------------------------------------------------------------------------

=== hardware/arduino/sam/variants/arduino_due_x/build_gcc/Makefile ===
#
#  Copyright (c) 2011 Arduino.  All right reserved.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#  See the GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

SUBMAKE_OPTIONS=--no-builtin-rules --no-builtin-variables --no-print-directory

#-------------------------------------------------------------------------------
# Rules
#-------------------------------------------------------------------------------

all: arduino_due_x

.PHONY: arduino_due_x
arduino_due_x:
	@echo ------------------------------------------------------------------------------------
	@echo --- Making variant arduino_due_x
	@$(MAKE) DEBUG=1 $(SUBMAKE_OPTIONS) -f libvariant_arduino_due_x.mk
#	@$(MAKE) $(SUBMAKE_OPTIONS) -f libvariant_arduino_due_x.mk
	@echo ------------------------------------------------------------------------------------

.PHONY: clean
clean:
	@echo ------------------------------------------------------------------------------------
	@echo --- Cleaning variant arduino_due_x
	@$(MAKE) DEBUG=1 $(SUBMAKE_OPTIONS) -f libvariant_arduino_due_x.mk $@
#	@$(MAKE) $(SUBMAKE_OPTIONS) -f libvariant_arduino_due_x.mk $@
	@echo ------------------------------------------------------------------------------------

=== hardware/arduino/sam/system/CMSIS/Examples/cmsis_example/gcc_atmel/Makefile ===
# ----------------------------------------------------------------------------
#         ATMEL Microcontroller Software Support 
# ----------------------------------------------------------------------------
# Copyright (c) 2010, Atmel Corporation
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following condition is met:
#
# - Redistributions of source code must retain the above copyright notice,
# this list of conditions and the disclaimer below.
#
# Atmel's name may not be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
# DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# ----------------------------------------------------------------------------

# make inner variables
.DEFAULT_GOAL := all

# custom variables
BUILD_NUMBER := 
BUILDS := 
CLEANS :=

# Build macro
define BUILD_SERIES

# output test number information
$(info Defining cmsis_example_$(1)_build and cmsis_example_$(1)_clean)

# add the incoming targets to global targets
BUILDS += cmsis_example_$(1)_build
CLEANS += cmsis_example_$(1)_clean
BUILD_NUMBER += x

.PHONY: cmsis_example_$(1)_build
cmsis_example_$(1)_build:
	@echo --- 
	@echo --- 
	@echo --- Making $(1)
	@echo --- 
	@$(MAKE) CHIP=$(1) -f cmsis_example.mk
	
.PHONY: cmsis_example_$(1)_clean
cmsis_example_$(1)_clean:
	@echo --- 
	@echo --- 
	@echo --- Cleaning $(1)
	@echo --- 
	@$(MAKE) CHIP=$(1) clean -f cmsis_example.mk
endef

# define SAM series
include sam_series.mk

$(foreach SERIES, $(SAM_SERIES), $(eval $(call BUILD_SERIES,$(SERIES))))

# output test number information
$(info Number of devices to be tested $(words $(BUILD_NUMBER)) /  $(words $(SAM_SERIES)))

all: $(BUILDS)

clean: $(CLEANS)

=== debian/changelog ===
arduino (2:1.5.6.2+sdfsg2-3) experimental; urgency=low

  * debian/patches/system_libastylej.patch: use system libastylej
    upstream uses a patched version that changed java package name.

 -- Scott Howard <showard@debian.org>  Sun, 06 Apr 2014 18:33:35 -0400

arduino (2:1.5.6.2+sdfsg2-2) experimental; urgency=low

  * Bump epoch to fix versioning problem with arduino-mk

 -- Scott Howard <showard@debian.org>  Wed, 02 Apr 2014 16:50:56 -0400

arduino (1:1.5.6.2+sdfsg2-1) experimental; urgency=low

  * Place arduino 1.5.6 into experimental.

 -- Scott Howard <showard@debian.org>  Tue, 01 Apr 2014 16:52:45 -0400

arduino (1:1.5.6.2+dfsg2-1) unstable; urgency=low

  * New upstream release
  * Remove dependency and link to rxtx, upstream uses libjssc-java now
  * arduino-core recommends bossa-cli
  * debian/patches/zepto_js.patch, adds source code for zepto.js
  * refreshed patches
  * arduino depends on libastylej-jni
    - debian/patches/no_download_libastylej.patch to use system libastylej

 -- Scott Howard <showard@debian.org>  Fri, 07 Mar 2014 12:17:38 -0500

arduino (1:1.5.4.2+dfsg-3) experimental; urgency=low

  * Don't distribute sourceless minified .js files (Closes: #735229)
    - needs libraries/Bridge/examples/TemperatureWebPanel/www/zepto.min.js
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Mon, 13 Jan 2014 23:02:40 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Scott Howard <showard@debian.org>
 Uploaders: Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 8), javahelper, default-jdk,
- librxtx-java (>= 2.2pre2-3), libjna-java, libjsch-java, libjmdns-java,
+Build-Depends: debhelper (>= 8), javahelper, default-jdk, 
+ libjssc-java, libjna-java, libjsch-java, libjmdns-java,
  libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.arduino.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/arduino.git
@@ -15,8 +15,8 @@
 Package: arduino
 Architecture: all
 Depends: ${java:Depends}, ${misc:Depends},
- arduino-core (= ${binary:Version})
-Recommends: extra-xdg-menus, policykit-1
+ arduino-core (= ${binary:Version}), libastylej-jni
+Recommends: extra-xdg-menus, policykit-1, astyle
 Description: AVR development board IDE and built-in libraries
  Arduino is an open-source electronics prototyping platform based on
  flexible, easy-to-use hardware and software. It's intended for artists,
@@ -31,6 +31,7 @@
 Package: arduino-core
 Architecture: all
 Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
+Recommends: bossa-cli
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains

=== debian/rules ===
--- 
+++ 
@@ -6,24 +6,26 @@
 export JAVA_HOME=/usr/lib/jvm/default-java
 export CLASSPATH=\
 /usr/share/java/jna.jar:\
-/usr/share/java/RXTXcomm.jar:\
+/usr/share/java/jssc.jar:\
 /usr/share/java/jsch.jar:\
 /usr/share/java/jmdns.jar:\
 /usr/share/java/commons-logging.jar:\
 /usr/share/java/commons-httpclient.jar:\
 /usr/share/java/commons-exec.jar
 
-SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/[0-9]*:\([0-9].*\)+dfsg-[0-9]/\1/')
+SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/[0-9]*:\([0-9].*\)+dfsg2-[0-9]/\1/')
 
 %:
 	dh $@ --with javahelper
 
 override_dh_clean:
+	-mkdir build/windows build/macosx #build.xml needs this
 	rm -rf build/linux/work/hardware/tools
 	cd core/methods && ant clean
 	cd build && ant clean
 	rm -f debian/permission-checker/*.class
 	dh_clean
+	rm -r build/windows build/macosx #debian doesn't need this
 
 override_jh_build:
 	jh_linkjars
@@ -46,7 +48,7 @@
 
 override_dh_install:
 	find build/linux/work -type d -empty -delete
-	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh -Xelf -X.a -X.lib
+	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh -X.elf -X.a -X.lib -X.min.js
 	mkdir -p debian/arduino-core/usr/share/arduino/lib
 	mv debian/arduino/usr/share/arduino/lib/*.txt debian/arduino-core/usr/share/arduino/lib
 	chmod +x \
@@ -56,6 +58,11 @@
     debian/arduino-core/usr/share/arduino/hardware/arduino/sam/system/CMSIS/CMSIS/Documentation/DSP_Lib/html/installdox \
     debian/arduino-core/usr/share/arduino/libraries/WiFi/extras/scripts/ArduinoWifiShield_upgrade.sh
 
+override_dh_installdocs:
+	dh_installdocs
+	#Delete links to fetch web based icon (privacy violation, thanks lintian)
+	sed -i '/favicon\.png/d' debian/arduino-core/usr/share/doc/arduino-core/reference/*.html
+
 override_jh_depends:
 	jh_depends -jdefault
 
@@ -63,20 +70,23 @@
 	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
 	rm debian/stamp-copyright-check
 
-DESTDIR=$(CURDIR)/debian/Arduino-1.5.4-r2
+DESTDIR=$(CURDIR)/debian/Arduino-1.5.6-r2
 #DESTDIR=$(CURDIR)/debian/Arduino-$(SVNTAG)
 TARGZFILE=arduino_$(SVNTAG).orig.tar.gz
-TARXZFILE=arduino_$(SVNTAG)+dfsg.orig.tar.xz
+TARXZFILE=arduino_$(SVNTAG)+dfsg2.orig.tar.xz
 
 get-orig-source:
 	uscan --download-current-version --rename
 	jh_repack --version $(SVNTAG) ../arduino_$(SVNTAG)
 	tar -xzf ../$(TARGZFILE) -C debian/
-	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so -or -iname .cvsignore -or -iname *.bz2 -or -iname *macosx* -or -iname *windows* | xargs -n1 rm -rf;\
+	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so\
+                    -or -iname .cvsignore -or -iname *.bz2 -or -iname *macosx*\
+                    -or -iname *windows* -or -iname *.exe -or -iname *.dll\
+                    -or -iname *.elf -or -iname *.min.js | xargs -n1 rm -rf;\
 	rm -rf $(DESTDIR)/build/linux/dist/tools;\
 	#upstream set a bunch of files as execultable that should not be. remove the -x bit
 	#find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname key*.gz -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
-	tar Jcf $(CURDIR)/../$(TARXZFILE) -C $(CURDIR)/debian Arduino-1.5.4-r2;\
+	tar Jcf $(CURDIR)/../$(TARXZFILE) -C $(CURDIR)/debian Arduino-1.5.6-r2;\
 	rm -fr $(DESTDIR);\
 	rm -fr ../$(TARGZFILE)

## arduino 1.6.5

=== debian/changelog ===
arduino (1.6.5-r3ubuntu6) trusty; urgency=medium

  * Added UDOO Boards serial ports, again 

 -- UDOO Team <social@udoo.org>  Sun, 20 Dec 2015 22:44:10 +0000

arduino (1.6.5-r3ubuntu5) trusty; urgency=medium

  * Updated build script (excluded AVR core from base)

 -- UDOO Team <social@udoo.org>  Fri, 18 Dec 2015 17:14:04 +0000

arduino (1.6.5-r3ubuntu4) trusty; urgency=medium

  * Turned back to arduino original sources. 
    Now UDOO board packages are separated debs.

 -- UDOO Team <social@udoo.org>  Thu, 17 Dec 2015 20:08:01 +0100

arduino (1.6.5-r3ubuntu3) trusty; urgency=medium

  * Added UDOO Boards serial ports

 -- UDOO Team <social@udoo.org>  Wed, 28 Oct 2015 12:00:35 +0000

arduino (1.6.5-r3ubuntu2) trusty; urgency=medium
  
   * renamed serial classes
   * changed millis return type
   * fixed String class allocation problem
   * improved MCC internal serial debug
   * minor UART improvement
   * added pulseIn() function
   * better delayMicroseconds() and micros()
   * added gpio interrupt support

 -- UDOO Team <social@udoo.org>  Tue, 27 Oct 2015 16:07:33 +0000 

arduino (1.6.5-r3ubuntu1) trusty; urgency=medium

  * updated to Arduino 1.6.5-r3
  * added UDOO Neo specific stuff
  * removed AVR boards

 -- UDOO Team <social@udoo.org>  Sun, 11 Oct 2015 00:47:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: arduino
 Section: electronics
 Priority: extra
-Maintainer: Scott Howard <showard@debian.org>
-Uploaders: Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 8), javahelper, default-jdk, 
+Maintainer: UDOO Team <social@udoo.org>
+Uploaders: Ettore Chimenti <ek5.chimenti@gmail.com>
+Build-Depends: debhelper, javahelper, default-jdk, default-jre, libastylej-jni,
  libjssc-java, libjna-java, libjsch-java, libjmdns-java,
- libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant
+ libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant,
+ astyle, extra-xdg-menus, policykit-1, default-jre, libastylej-jni,
+ gcc, gcc-arm-none-eabi
 Standards-Version: 3.9.5
 Homepage: http://www.arduino.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
@@ -30,8 +32,7 @@
 
 Package: arduino-core
 Architecture: all
-Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
-Recommends: bossa-cli
+Depends: ${misc:Depends}, arduino (= ${binary:Version})
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains
@@ -40,3 +41,29 @@
  .
  This package does not include the Java based Integrated Development
  Environment, which can be found in the 'arduino' package.
+
+Package: arduino-core-avr
+Architecture: all
+Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0), 
+ arduino (= ${binary:Version})
+Suggests: arduino-mk
+Description: Code, examples, and libraries for the Arduino platform
+ Arduino is an open hardware microcontroller platform.  This package contains
+ the minimal set of tools to allow one to program an Arduino.  It also contains
+ examples and libraries. For a CLI, see the 'arduino-mk' package.
+ .
+ This package does not include the Java based Integrated Development
+ Environment, which can be found in the 'arduino' package.
+
+Package: arduino-core-sam
+Architecture: all
+Depends: bossa-cli, gcc, gcc-arm-none-eabi ( >= 4.9.3 ), 
+ arduino (= ${binary:Version})
+Suggests: arduino-mk
+Description: Code, examples, and libraries for the Arduino platform
+ Arduino is an open hardware microcontroller platform.  This package contains
+ the minimal set of tools to allow one to program an Arduino.  It also contains
+ examples and libraries. For a CLI, see the 'arduino-mk' package.
+ .
+ This package does not include the Java based Integrated Development
+ Environment, which can be found in the 'arduino' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=\
/usr/share/java/jna.jar:\
/usr/share/java/jssc.jar:\
/usr/share/java/jsch.jar:\
/usr/share/java/jmdns.jar:\
/usr/share/java/commons-logging.jar:\
/usr/share/java/commons-httpclient.jar:\
/usr/share/java/commons-exec.jar

SVNTAG=$(shell dpkg-parsechangelog | grep Version | cut -f2 -d" " | sed 's/[0-9]*:\([0-9].*\)+dfsg2-[0-9]/\1/')

%:
	dh $@ --with javahelper

override_dh_clean:
	cd arduino-core && ant clean
	cd build && ant clean
	rm -f debian/permission-checker/*.class
	rm -f build/*.zip build/shared/*.zip
	dh_clean

override_jh_build:
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools
	cd arduino-core && ant
	cd build && ant
	rm -f build/linux/work/lib/version.txt && echo $(SVNTAG) > build/linux/work/lib/version.txt #comment out after beta
	javac debian/permission-checker/arduinopc.java
	cd debian/permission-checker && jar cfe arduinopc.jar arduinopc *.class
	mv debian/permission-checker/*.jar .


override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.ino

override_dh_strip:
	dh_strip -X.a

override_dh_install:
	find build/linux/work -type d -empty -delete
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh -X.elf -X.lib -X.min.js

override_dh_installdocs:
	dh_installdocs

override_jh_depends:
	jh_depends -jdefault

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

DESTDIR=$(CURDIR)/debian/Arduino-$(SVNTAG)
TARGZFILE=arduino_$(SVNTAG).orig.tar.gz
TARXZFILE=arduino_$(SVNTAG)+dfsg2.orig.tar.xz

get-orig-source:
	uscan --download-current-version --rename
	jh_repack --version $(SVNTAG) ../arduino_$(SVNTAG)
	tar -xzf ../$(TARGZFILE) -C debian/
	find $(DESTDIR) -type f -iname *.jar -or -iname *.tgz -or -iname *.so\
                    -or -iname .cvsignore -or -iname *.bz2 -or -iname *macosx*\
                    -or -iname *windows* -or -iname *.exe -or -iname *.dll\
                    -or -iname *.elf -or -iname *.min.js | xargs -n1 rm -rf;\
	rm -rf $(DESTDIR)/build/linux/dist/tools;\
	#upstream set a bunch of files as execultable that should not be. remove the -x bit
	#find $(DESTDIR) -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname makefile -or -iname key*.txt -or -iname key*.gz -or -iname pref*.txt -or -iname '*.txt' -print0 | xargs -0 chmod -x;\
	tar Jcf $(CURDIR)/../$(TARXZFILE) -C $(CURDIR)/debian Arduino-1.6.5;\
	rm -fr $(DESTDIR);\
	rm -fr ../$(TARGZFILE)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg\d*//,\
uversionmangle=s/00/0\./;s/\-r/\./ \
https://github.com/arduino/Arduino/tags .*/(\d[\d\.].*)\.tar\.gz

## arduino 1.8.13+dfsg1

=== debian/changelog ===
arduino (2:1.8.13+dfsg1-2) unstable; urgency=medium

  * Team upload
  * [e1dccaf] d/u/metadata: Adding DEP12 based metadata
  * [5ca53c5] d/README.source: Rework information and suggestions
  * [990e2d7] README.Debian: Adding notes regarding IDE language reference
    We don't package the Arduino language reference currently, but having
    (offline) access to it might be desirable by users.
    Adding some steps how the reference could be made available within the
    IDE.
  * [81e8635] d/control: Adding entry for Rules-Requires-Root: no
  * [3f07192] d/watch: re-add the pgpsigurlmangle option
  * [e1f08c2] d/arduino.lintian-overrides: ignore duplicated pics
    Ignore potential duplicated png files within the documentation, they are
    very small.
  * [5e9abef] d/arduino.links: Correct linking to bcprov.jar
    (Closes: #985506)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Mar 2021 16:47:01 +0100

arduino (2:1.8.13+dfsg1-1) unstable; urgency=medium

  * Team upload
    (Closes: #863001)
  * [f9d3880] arduino: add min required version of arduino-builder
    We want to use arduino-builder version >= 1.3.25-2 so users won't have
    possible strange side effects if they use otherwise an older version.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Jan 2021 19:13:48 +0100

arduino (2:1.8.13+dfsg1-1~exp2) experimental; urgency=medium

  * Team upload
  * [54cd5cb] rebuild patch queue from patchqueue branch
    Added patch:
    debian-hacks/Don-t-run-extra-options-on-ARM.patch
  * [a99b7b1] d/control: Decrease list of architecture to build
    Limiting the build to any-amd64 any-i386 arm64 armel armhf, only these
    architectures wgetting support by upstream.
    (Closes: #976930)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Jan 2021 09:43:23 +0100

arduino (2:1.8.13+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload

  [ Scott Howard ]
  * [b3ae605] Imported Upstream version 1.6.0+dfsg

  [ Geert Stappers ]
  * [1cd9f55] Imported Upstream version 1.6.8
  * [c01e14d] Imported Upstream version 1.8.2
  * [cf271e6] Imported Upstream version 1.8.2+dfsg

  [ Carsten Schoenert ]
  * [8bf88fc] Adding config file for git-buildpackage
  * [82131c9] New upstream version 1.8.13+dfsg1
    (Closes: #723929, #724804, #757223, #758039, #780609, #780706, #786405,
             #850784, #850964, #857463, #885830, #876495, #877201, #891901,
             #894770, #894823, #925578, #927329, #947228, #976930)
  * [77d4a95] rebuild patch queue from patchqueue branch
    Rebuild and reorder the existing patches.
    Added patches:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    debian-hacks/Don-t-use-functions-from-jtouchbar.patch
    debian-hacks/Ignore-Apple-specific-check-from-apple-lib.patch
    debian-hacks/Install-appdata.xml-into-propriate-folder.patch
    Dropped patches:
    gcc47_avr.patch
  * [4c43fd7] running wrap-and-sort to improve readability
  * [4714c7b] debhelper: move over to debhelper 13
  * [0f1249c] d/control: Adjust dependencies for package built
  * [c49f415] d/control: remove version requirement on librxtx-java
    The previous used minimal version is always fulfilled now, we only have
    higher versions within the archive.
  * [b27f91e] d/control: Update upstream homepage to use https
  * [bb5a6d5] d/control: Adjust depending packages on binary packages
    Removing now useless versions on various depending packages, all
    available versions are higher than the declared old minimal versions for
    the binary packages.
    Replacing java6-runtime by openjdk-11-jre, the former package isn't
    available any more.
  * [8a31b55] d/control: Switching Priority from extra to optional
    Priority extra is now replaced by optional.
  * [5760d82] arduino.install: Melting arduino-core in
    We don't want and need to build a package arduino-core anymore as the
    old core parts are now will live in it's own package arduino-core-avr.
    But some old things from arduino-core migrate now over into the arduino
    package. Adding new and adjust existing folder and files to install.
  * [57fe853] arduino.links: Merge linking from arduino-core
    As before for the install sequencer also taking over the symlinking from
    arduino-core into the arduino package.
  * [53774dd] arduino.docs: Move over from arduino-core
    As we give up arduino-core the sequencer content from arduino-core will
    move over to arduino.
  * [2276b48] d/control: Adjust package dependencies for arduino
    The arduino package needs some more Java libraries for complete
    functionality.
  * [c764a05] d/rules: Workaround potential misbehavior of jh_linkjars
    It looks like jh_linkjars isn't linking all the Java libraries from
    /usr/share/java into the lib/ folder. Thus we do some hacking around
    this to get the required libraries in place.
  * [d47279e] d/control: Bump Standards-Version to 4.5.1
    No further changes needed.
  * [683f295] d/control: Turn package arduino into arch:any
    The arduino package is using the architecture dependent library
    libastylej-jni already for some time, this requires an architecture
    dependent availability of this library.
  * [1fc2ad5] d/control: Remove obsolete arduino-core package
  * [cfff045] arduino: Adding Breaks on old arduino-core package
    The arduino-core package isn't alive any more, the old package needs a
    break to not getting in conflict with the current arduino package.
  * [0a20a08] d/rules: Use DEB_VERSION_UPSTREAM_REVISION variable
  * [97a57e7] arduino.lintian-overrides: Add some overrides
    Let lintian don't bother on .txt files which are used and required by the
    IDE and are no documentation.
  * [5823ee6] arduino: Remove the menu file
    Due CTTE decision on #741573 we don't want to ship a menu file for
    applications any more. We can remove the existing menu sequencer
    including the XPM graphic.
  * [311035e] d/arduino.desktop: Update and sync file against upstream


=== debian/control ===
Source: arduino
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders:
 Philip Hands <phil@hands.com>,
 Scott Howard <showard@debian.org>,
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libastyle-dev,
 libbatik-java,
 libbcpg-java,
 libbcprov-java,
 libcommons-beanutils-java,
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-io-java,
 libcommons-httpclient-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libcommons-net-java,
 libjackson2-annotations-java,
 libjackson2-core-java,
 libjackson2-databind-java,
 libjmdns-java,
 libjna-java,
 libjsch-java,
 libjssc-java,
 liblog4j2-java,
 librsyntaxtextarea-java,
 librxtx-java,
 libsemver-java,
 libtwelvemonkeys-java,
 lmodern,
 pandoc,
 texlive-latex-base,
 texlive-latex-recommended,
 unzip,
Standards-Version: 4.5.1
Homepage: https://www.arduino.cc
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino
Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino.git
Rules-Requires-Root: no

Package: arduino
Architecture: any-amd64 any-i386 arm64 armel armhf
Depends:
 arduino-builder (>= 1.3.25-2),
 arduino-core-avr,
 avrdude,
 default-jre | openjdk-11-jre,
 dpkg-dev,
 libastylej-jni,
 libbatik-java,
 libbcpg-java,
 libbcprov-java,
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libcommons-net-java,
 libhttpclient-java,
 libjackson2-annotations-java,
 libjackson2-core-java,
 libjackson2-databind-java,
 libjaxp1.3-java,
 libjmdns-java,
 libjna-java,
 libjna-platform-java,
 libjsch-java,
 libjssc-java,
 liblistserialsj-dev,
 liblog4j2-java,
 librsyntaxtextarea-java,
 librxtx-java,
 libsemver-java,
 libslf4j-java,
 libxml-commons-external-java,
 libxmlgraphics-commons-java,
 ${misc:Depends},
Recommends:
 extra-xdg-menus,
 policykit-1,
Breaks:
 arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
Replaces:
 arduino-core (<< 2:1.5.6.2+sdfsg2-3.1),
Provides:
 arduino-core,
Description: AVR development board IDE from Arduino CC
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verification, compiling, and uploading
 to the Arduino development board. Example code will also be installed.
 .
 Some base AVR libraries will be provided by the depending additional
 package arduino-core-avr. More libraries can be installed within the IDE
 itself by calling the libarary manager. This requires a working internet
 access.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jna.jar\
:/usr/share/java/jssc.jar\
:/usr/share/java/jsch.jar\
:/usr/share/java/jmdns.jar\
:/usr/share/java/commons-logging.jar\
:/usr/share/java/commons-httpclient.jar\
:/usr/share/java/commons-exec.jar\
# CLASSPATH terminator

# JAR files we need to link into the lib/ folders as jh_linkjars unfortunately
# doesn't recognize these Java libraries. Of course this is a hack.
JAR2LINK=commons-io log4j slf4j

%:
	dh $@ --with javahelper

override_dh_clean:
	rm -rf build/linux/work/hardware/tools
	cd build && ant clean
	rm -f debian/permission-checker/*.class
	dh_clean

override_jh_build: create-jar-links
	jh_linkjars
	mkdir -p build/linux/work/hardware/tools
	cd build && ant
	rm -f build/linux/work/lib/version.txt && \
	    echo "$(DEB_VERSION_UPSTREAM_REVISION)" > build/linux/work/lib/version.txt
	javac debian/permission-checker/arduinopc.java
	cd debian/permission-checker && jar cfe arduinopc.jar arduinopc *.class
	mv debian/permission-checker/*.jar .
	# Rebuild the PDF for the Arduino Serial Plotter Protocol
	pandoc -f gfm \
	       --metadata title="The Arduino Serial Plotter Protocol" \
	       build/shared/ArduinoSerialPlotterProtocol.md \
	       -o build/shared/ArduinoSerialPlotterProtocol.pdf

override_dh_installchangelogs:
	dh_installchangelogs -k build/linux/work/revisions.txt

override_dh_compress:
	dh_compress -X.ino

override_dh_install:
	find build/linux/work -type d -empty -delete
	rm -f build/linux/work/lib/desktop.template
	rm -rf debian/arduino/usr/share/arduino/lib/icons
	dh_install -Xlicense -XLICENSE -XLicense -XMangler/make.sh

#override_jh_depends:
#jh_depends can't resolve symlinks

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

# Helper target for linking some required Java libraries into app/lib and arduino-core/lib.
create-jar-links:
	@for javalib in $(JAR2LINK); do \
	    TARGETS=`find /usr/share/java \( -type f -o -type l \) -name "$${javalib}*.jar"` ;\
	    for TARGET in $${TARGETS}; do \
	        for lib_path in arduino-core app; do \
	            cd $(CURDIR)/$${lib_path}/lib && \
	            ln -sf $${TARGET} ;\
	        done ;\
	    done ;\
	done

## arduino 1.8.15+dfsg1

=== debian/changelog ===
arduino (2:1.8.15+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Aug 2021 16:22:25 -0700

arduino (2:1.8.15+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [db1bcc6] d/gbp.conf: Added extra component archive
    The examples have been excluded from the UI source, these now excluded
    and dedicated provided files aren't packaged yet, so we add them for now
    as an extra tarball.
  * [a170151] New upstream version 1.8.15+dfsg1
  * [b66ecfc] rebuild patch queue from patchqueue branch
    added patch:
    debian-hacks/Don-t-download-any-external-example-files.patch
    adjusted patch:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    updated patches (no adjustments or changes needed):
    debian-hacks/Don-t-follow-symlinked-jar-files.patch
    debian-hacks/Prevent-more-downloads-while-package-build.patch
    removed patch (included upstream):
    debian-hacks/Remove-update-notice-about-new-available-version.patch
  * [e532915] d/arduino.docs: Adjust different examples/ folder
  * [3dedaff] d/copyright: Reflect added examples folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 May 2021 09:45:00 +0200

=== debian/control ===
Source: arduino
Section: electronics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Philip Hands <phil@hands.com>, Scott Howard <showard@debian.org>
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk,
               javahelper,
               libastyle-dev,
               libbatik-java,
               libbcpg-java,
               libbcprov-java,
               libcommons-beanutils-java,
               libcommons-codec-java,
               libcommons-compress-java,
               libcommons-exec-java,
               libcommons-httpclient-java,
               libcommons-io-java,
               libcommons-lang3-java,
               libcommons-logging-java,
               libcommons-net-java,
               libjackson2-annotations-java,
               libjackson2-core-java,
               libjackson2-databind-java,
               libjmdns-java,
               libjna-java,
               libjsch-java,
               libjssc-java,
               liblog4j2-java,
               librsyntaxtextarea-java,
               librxtx-java,
               libsemver-java,
               libtwelvemonkeys-java,
               lmodern,
               pandoc,
               texlive-latex-base,
               texlive-latex-recommended,
               unzip
Standards-Version: 4.5.1
Homepage: https://www.arduino.cc
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino
Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino.git
Rules-Requires-Root: no

Package: arduino
Architecture: any-amd64 any-i386 arm64 armel armhf
Depends: arduino-builder (>= 1.3.25-2),
         arduino-core-avr,
         avrdude,
         default-jre | openjdk-11-jre,
         dpkg-dev,
         libastylej-jni,
         libbatik-java,
         libbcpg-java,
         libbcprov-java,
         libcommons-codec-java,
         libcommons-compress-java,
         libcommons-exec-java,
         libcommons-io-java,
         libcommons-lang3-java,
         libcommons-logging-java,
         libcommons-net-java,
         libhttpclient-java,
         libjackson2-annotations-java,
         libjackson2-core-java,
         libjackson2-databind-java,
         libjaxp1.3-java,
         libjmdns-java,
         libjna-java,
         libjna-platform-java,
         libjsch-java,
         libjssc-java,
         liblistserialsj-dev,
         liblog4j2-java,
         librsyntaxtextarea-java,
         librxtx-java,
         libsemver-java,
         libslf4j-java,
         libxml-commons-external-java,
         libxmlgraphics-commons-java,
         ${misc:Depends}
Recommends: extra-xdg-menus, policykit-1
Breaks: arduino-core (<< 2:1.5.6.2+sdfsg2-3.1)
Replaces: arduino-core (<< 2:1.5.6.2+sdfsg2-3.1)
Provides: arduino-core
Description: AVR development board IDE from Arduino CC
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package will install the integrated development environment that
 allows for program writing, code verification, compiling, and uploading
 to the Arduino development board. Example code will also be installed.
 .
 Some base AVR libraries will be provided by the depending additional
 package arduino-core-avr. More libraries can be installed within the IDE
 itself by calling the libarary manager. This requires a working internet
 access.

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,9 @@
 #override_jh_depends:
 #jh_depends can't resolve symlinks
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 copyright_check:
 	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
 	rm debian/stamp-copyright-check
